using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysRoleMenuService
    {
        Task DeleteRoleMenuListByMenuIdList(List<string> menuIdList);
        Task DeleteRoleMenuListByRoleId(string roleId);
        Task<List<string>> GetRoleMenuIdList(List<string> roleIdList);
        Task GrantMenu(GrantRoleMenuInput input);
    }
}